import java.applet.Applet;
import java.awt.*;

public class RadioBoxDemo extends Applet
{
  CheckboxGroup grTextColor;
  
  Checkbox chboxRedText;
  Checkbox chboxBlueText;
  Checkbox chboxBlackText;
  
  Color clrText = Color.black;

  // ============================================
  // init
  // ============================================
  public void init()
  {
    setBackground(Color.yellow);
    
    grTextColor = new CheckboxGroup();

    chboxBlackText  = new Checkbox("Black", grTextColor, true);
    chboxBlueText   = new Checkbox("Blue", grTextColor, false);
    chboxRedText    = new Checkbox("Red", grTextColor, false);
    
    add(chboxBlackText);
    add(chboxBlueText);
    add(chboxRedText);
  }

  // ============================================
  // paint
  // ============================================
  public void paint(Graphics g)
  {
    g.setColor(clrText);
    g.setFont(
      new Font("Helvetica", Font.PLAIN, 24));
      
    g.drawString("Test string", 10, 60);
  }
  
  // ============================================
  // getAppletInfo
  // ============================================
  public boolean action(Event evt, Object obj)
  {
    Checkbox chboxChanged;
    
    if(evt.target instanceof Checkbox)
    {
      chboxChanged = (Checkbox)evt.target;
      
      if(
	chboxChanged.equals(chboxRedText))
      {
        clrText = Color.red;
      }

      else if(
	chboxChanged.equals(chboxBlackText))
      {
        clrText = Color.black;
      }
           
      else if(
	chboxChanged.equals(chboxBlueText))
      {
        clrText = Color.blue;
      }
      
      repaint();
      return true;
    }
    return false;
  }
  
  // ============================================
  // getAppletInfo
  // ============================================
  public String getAppletInfo()
  {
    return "Name: RadioBoxDemo";
  }
}

